{ pkgs, lib, ... }:
{
  boot.loader.systemd-boot = {
    enable = true;
    configurationLimit = 5;
    memtest86.enable = lib.mkIf (pkgs.stdenv.hostPlatform.system == "x86_64-linux") true;
  };
  boot.loader.efi.canTouchEfiVariables = true;
}
